<template>
  <v-breadcrumbs
    :items="items"
    :divider="divider"
    :active-color="activeColor"
  >
    <template #item="{ item, index }">
      <svn-pro-breadcrumbs-item
        :to="item?.to"
        :title="item?.title"
        :ellipsis="item?.ellipsis"
        :disabled="item?.disabled"
        :active-color="activeColor"
        :active="index === items?.length -1"
      />
    </template>
  </v-breadcrumbs>
</template>

<script setup>
import SvnProBreadcrumbsItem from './SvnProBreadcrumbsItem.vue';

const props = defineProps({
  activeColor: {
    type: String,
    default: "primary",
  },
  divider: {
    type: String,
    default: "/",
  },
  items: {
    type: Array,
    default: () => [],
  },
})
</script>